package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.basic.api.bean.CourseBean;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent.ExamStudentBean;
import cn.com.qmth.examcloud.examwork.api.bean.ExamBean;
import cn.com.qmth.examcloud.support.cache.bean.CourseCacheBean;
import cn.com.qmth.examcloud.support.cache.bean.ExamSettingsCacheBean;

/**
 * @author chenken
 * @date 2018/8/15 11:16
 * @company QMTH
 * @description 考试记录数据服务接口
 */
public interface ExamRecordDataService {


    /**
     * 创建离线考试记录
     *
     * @param fullyObjective
     * @return
     */
    ExamRecordDataEntity createOfflineExamRecordData(ExamStudentBean bean,
                                                     ExamSettingsCacheBean examBean,
                                                     CourseCacheBean courseBean,
                                                     String basePaperId,
                                                     String paperStructId, Boolean fullyObjective);

}
